ClarisWksSpreadsheetInternal::Spreadsheet Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksSpreadsheetInternal::Spreadsheet Struct Referencefinal

Internal the spreadsheet. More...

Inheritance diagram for ClarisWksSpreadsheetInternal::Spreadsheet:

## Public Member Functions
| Spreadsheet (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| ~Spreadsheet () final
| destructor More...
float | getRowHeight (int row) const
| returns the row size in point More...
float | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row More...
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | isHeaderFooter () const
| test if the zone is an header/footer More...
bool | isSlide () const
| test if the zone is a slide More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
int | getMaximumPage () const
| returns the maximum page More...
virtual void | removeChild (int cId, bool normalChild)
| virtual function to remove a child from a list More...
virtual void | removeChild (int cId)
| virtual function to remove a child from a list More...
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box More...
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, MWAWVariable< int > &lastPage) const
| find forbidden page break More...
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box) More...

## Public Attributes
std::vector< int > | m_colWidths
| the columns width More...
std::map< int, int > | m_rowHeightMap
| a map row to height More...
std::shared_ptr< ClarisWksDbaseContent > | m_content
| the data More...
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Position | m_position
| the zone type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_page
| the page (if known) More...
MWAWBox2f | m_box
| the bounding box (if known) More...
MWAWVec2f | m_pageDimension
| the page dimension (if know) More...
int | m_id
| the zone identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends
std::ostream & | operator<< (std::ostream &o, Spreadsheet const &doc)
| operator<< More...

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0, P_Header, P_Footer, P_Frame, P_Footnote, P_Table, P_GraphicMaster, P_Slide, P_SlideNote, P_SlideThumbnail, P_SlideMaster, P_Unknown }
| the zone position More...
enum | ChildType { C_Zone, C_SubText, C_Graphic, C_Unknown }
| the different types of zone child More...

## Detailed Description

Internal the spreadsheet.

## Constructor & Destructor Documentation

## ◆ Spreadsheet()

ClarisWksSpreadsheetInternal::Spreadsheet::Spreadsheet | ( | ClarisWksStruct::DSET const & | dset = `ClarisWksStruct::DSET()` | ) |
| inlineexplicit

## ◆ ~Spreadsheet()

ClarisWksSpreadsheetInternal::Spreadsheet::~Spreadsheet | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getRowHeight() [1/2]

float ClarisWksSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

## ◆ getRowHeight() [2/2]

float ClarisWksSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated
| ) |  | const
| inline

returns the height of a row in point and updated repeated row

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Spreadsheet const & | doc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_colWidths

std::vector<int> ClarisWksSpreadsheetInternal::Spreadsheet::m_colWidths

the columns width

## ◆ m_content

std::shared_ptr<ClarisWksDbaseContent> ClarisWksSpreadsheetInternal::Spreadsheet::m_content

the data

## ◆ m_rowHeightMap

std::map<int, int> ClarisWksSpreadsheetInternal::Spreadsheet::m_rowHeightMap

a map row to height

Referenced by getRowHeight(), and ClarisWksSpreadsheet::readRowHeightZone().

The documentation for this struct was generated from the following file:

- ClarisWksSpreadsheet.cxx